Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.gtwy.pbx
Class PBXSignalingServer.ThreadWait

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--cnrg.itx.gtwy.pbx.PBXSignalingServer.ThreadWait

protected class PBXSignalingServer.ThreadWait
extends java.lang.Thread

Inner private class that waits for keyboard input. It is a blocking wait, so does not interfere with other processes that are running. When it gets and Enter (or Return), it invokes the PBX Server's finalize method.

Field Summary
`(package private) PBXSignalingServer` | `myPBXSS`

Fields inherited from class java.lang.Thread
`contextClassLoader, daemon, eetop, group, inheritedAccessControlContext, MAX_PRIORITY, MIN_PRIORITY, name, NORM_PRIORITY, priority, single_step, stillborn, stopThreadPermission, target, threadInitNumber, threadQ, values`

Constructor Summary
`protected` | `PBXSignalingServer.ThreadWait(PBXSignalingServer myPBXSS_)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Thread
`, activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, exit, getContextClassLoader, getName, getPriority, getThreadGroup, init, interrupt, interrupt0, interrupted, isAlive, isDaemon, isInterrupted, isInterrupted, join, join, join, nextThreadNum, registerNatives, resume, resume0, setContextClassLoader, setDaemon, setName, setPriority, setPriority0, sleep, sleep, start, stop, stop, stop0, suspend, suspend0, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### myPBXSS

    PBXSignalingServer myPBXSS

Constructor Detail

### PBXSignalingServer.ThreadWait

    protected PBXSignalingServer.ThreadWait(PBXSignalingServer myPBXSS_)

Method Detail

### run

    public void run()

  Overrides:
    run in class java.lang.Thread

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD